## android 20131006-1510

=== debian/changelog ===
android (20131006-1510-0ubuntu6) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 18:54:11 -0300

android (20131006-1510-0ubuntu5) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 13 Oct 2013 23:14:25 -0300

android (20131006-1510-0ubuntu4) saucy; urgency=low

  * No change rebuild to pick up initramfs changes.

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 13 Oct 2013 14:21:12 +0200

android (20131006-1510-0ubuntu3) saucy; urgency=low

  * No change rebuild to pick up new kernels.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 09 Oct 2013 16:04:14 +0200

android (20131006-1510-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up new android-src-vendor.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 09 Oct 2013 01:54:39 -0300

android (20131006-1510-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fixes for the upstart property watcher
  * Dropping debian/patches/stop_pull_lp_source.patch, as both hybris and
    platform-api are now imported via git directly (but not used by this package
    as we prefer the source package available in the archive)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 08 Oct 2013 04:28:05 -0300

android (20131002-2036-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 03 Oct 2013 14:24:51 -0300

android (20131002-2036-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fixes for the upstart property watcher

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 18:08:23 -0300

android (20131002-0539-0ubuntu3) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 12:51:08 -0300

android (20131002-0539-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up initramfs changes.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 02 Oct 2013 14:44:39 +0200

android (20131002-0539-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 02:52:46 -0300

android (20130924-2218-0ubuntu6) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Oct 2013 09:58:44 -0400

android (20130924-2218-0ubuntu5) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 30 Sep 2013 18:35:48 -0300

android (20130924-2218-0ubuntu4) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 30 Sep 2013 13:09:42 +0200

android (20130924-2218-0ubuntu3) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 27 Sep 2013 19:19:13 -0300

android (20130924-2218-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up new libhybris.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 26 Sep 2013 17:31:09 -0300

android (20130924-2218-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - qcom/display: force single layer hwc to always wait for vsync

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 24 Sep 2013 20:32:42 -0300

android (20130917-0110-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Removing media.player service dependency from libgstagefright

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 16 Sep 2013 22:49:28 -0300

android (20130916-1810-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Sep 2013 15:27:01 -0400

android (20130909-2044-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 11 Sep 2013 13:56:15 -0400

android (20130905-0ubuntu5) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 07 Sep 2013 17:38:41 -0400

android (20130905-0ubuntu4) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 07 Sep 2013 15:04:13 -0400

android (20130905-0ubuntu3) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 06 Sep 2013 13:49:44 -0400

android (20130905-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Sep 2013 18:41:01 -0400

android (20130905-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 05 Sep 2013 17:29:38 +0100

android (20130903-0ubuntu2) saucy; urgency=low

  * No change rebuild to pick up new ubuntu-initramfs-ubuntu-touch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Sep 2013 23:45:04 -0400

android (20130903-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Update debian/watch file to only look for tarball versions with
    dates.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 04 Sep 2013 12:49:05 +0100

android (20130829-0ubuntu2) saucy; urgency=low

  * Rebuild against new kernel.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 30 Aug 2013 14:46:07 +0100

android (20130829-0ubuntu1) saucy; urgency=low

  * New upstream snapshot (camera working without audio flinger)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 28 Aug 2013 21:18:57 -0300

android (20130828-0ubuntu2) saucy; urgency=low


