=== debian/control ===
Source: android
Section: non-free/otherosfs
Priority: extra
Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib,
  gcc-arm-linux-androideabi, devscripts,
  openjdk-6-jdk, dh-exec,
  python3-apt,
  gnupg, flex, bison, gperf,
  zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
  libx11-dev, libreadline6-dev, libgl1-mesa-glx,
  libgl1-mesa-dev, mingw32, tofrodos, bsdiff,
  python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
  patchutils, quilt, lsb-release, android-src-vendor
Standards-Version: 3.9.4

Package: android
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: android Ubuntu Touch images
 This is an android portion of Ubuntu Touch images.
